package com.dla.dda.domain.contrato;

import java.io.Serializable;
import java.util.Date;

public class TituloDDA implements Serializable {
 
	private static final long serialVersionUID = 1L;

	private String nombre;
	private Date fechaInicioExhibicion;
	private Date fechaFinExhibicion;
	private String categoriaTarifa;
	private String clasificacion;
	private String episodio;
	private String temporada;
	private String tipo;
	private Long idCtoOrig;
	private Double costo;
	private String idBroadview;
	private String idCategoria;

	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public Date getFechaInicioExhibicion() {
		return fechaInicioExhibicion;
	}

	public void setFechaInicioExhibicion(Date fechaInicioExhibicion) {
		this.fechaInicioExhibicion = fechaInicioExhibicion;
	}

	public Date getFechaFinExhibicion() {
		return fechaFinExhibicion;
	}

	public void setFechaFinExhibicion(Date fechaFinExhibicion) {
		this.fechaFinExhibicion = fechaFinExhibicion;
	}

	public String getCategoriaTarifa() {
		return categoriaTarifa;
	}

	public void setCategoriaTarifa(String categoriaTarifa) {
		this.categoriaTarifa = categoriaTarifa;
	}

	public String getClasificacion() {
		return clasificacion;
	}

	public void setClasificacion(String clasificacion) {
		this.clasificacion = clasificacion;
	}

	public String getEpisodio() {
		return episodio;
	}

	public void setEpisodio(String episodio) {
		this.episodio = episodio;
	}

	public String getTemporada() {
		return temporada;
	}

	public void setTemporada(String temporada) {
		this.temporada = temporada;
	}

	public String getTipo() {
		return tipo;
	}

	public void setTipo(String tipo) {
		this.tipo = tipo;
	}

	public Long getIdCtoOrig() {
		return idCtoOrig;
	}

	public void setIdCtoOrig(Long idCtoOrig) {
		this.idCtoOrig = idCtoOrig;
	}

	public Double getCosto() {
		return costo;
	}

	public void setCosto(Double costo) {
		this.costo = costo;
	}
	
	public String getIdBroadview() {
		return idBroadview;
	}

	public void setIdBroadview(String idBroadview) {
		this.idBroadview = idBroadview;
	}
	
	public String getIdCategoria() {
		return idCategoria;
	}

	public void setIdCategoria(String idCategoria) {
		this.idCategoria = idCategoria;
	}

	@Override
	public String toString() {
		return "TituloDDA [nombre=" + nombre + ", fechaInicioExhibicion=" + fechaInicioExhibicion
				+ ", fechaFinExhibicion=" + fechaFinExhibicion + ", categoriaTarifa=" + categoriaTarifa
				+ ", clasificacion=" + clasificacion + ", episodio=" + episodio + ", temporada=" + temporada + ", tipo="
				+ tipo + ", idCtoOrig=" + idCtoOrig + ", costo=" + costo +  ", idBroadview=" + idBroadview + ", idCategoria=" + idCategoria + "]";
	}

}
